Name: freemind		
Version: 0.9.0
Release:	%mkrel 4
Summary:	Free mind mapping software	
Epoch:   1
Group:	Development/Java
License: GPLv2 and MIT
URL:	http://freemind.sourceforge.net	
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-src-0.9.0.tar.gz
Source1:	freemind.desktop
Source2:	freemind.xml
Source3:	freemind.sh
Patch0:		freemind-0.9.0-svg-build.patch
Patch1:		freemind-0.9.0-manifest.patch
Patch2:		freemind-0.9.0-javadoc.patch
Patch3:		freemind-0.9.0-jgoodies-build.patch

BuildArch: noarch
BuildRequires:	ant
BuildRequires:	ant-nodeps
BuildRequires:	ant-trax
BuildRequires:	ant-apache-regexp
BuildRequires:	avalon-framework
BuildRequires:	batik
BuildRequires:	batik-squiggle
BuildRequires:	bcel
BuildRequires:	desktop-file-utils
BuildRequires:	fop
BuildRequires:	groovy
BuildRequires:	ImageMagick
BuildRequires:	jakarta-oro
BuildRequires:	apache-commons-lang
BuildRequires:	jarbundler
BuildRequires:	java >= 1:1.6.0
BuildRequires:	javahelp2
BuildRequires:	java-devel 
BuildRequires:	ws-jaxme 
BuildRequires:	jgoodies-forms
BuildRequires:	jpackage-utils
BuildRequires:	jibx
BuildRequires:	junit
BuildRequires:	log4j
BuildRequires:	SimplyHTML
BuildRequires:	xpp3


Requires:	apache-commons-lang
Requires:	batik
Requires:	batik-squiggle
Requires:	desktop-file-utils
Requires:	fop
Requires:	groovy
Requires:	hicolor-icon-theme
Requires:	jakarta-oro
Requires:	java
Requires:	javahelp2
Requires:	jgoodies-forms
Requires:	jgoodies-looks
Requires:	jibx
Requires:	jpackage-utils
Requires:	SimplyHTML
Requires:	xpp3

%description
FreeMind is a premier free mind-mapping software written in Java. The 
recent development has hopefully turned it into high productivity tool. 
So you want to write a completely new metaphysics? Why don't you use 
FreeMind? You have a tool at hand that remarkably resembles the tray 
slips of Robert Pirsig, described in his sequel to Zen and the Art of 
Motorcycle Maintenance called Lila. Do you want to refactor your essays 
in a similar way you would refactor software? Or do you want to keep 
personal knowledge base, which is easy to manage? Why don't you try 
FreeMind? Do you want to prioritize, know where you are, where you've 
been and where you are heading, as Stephen Covey would advise you? Have 
you tried FreeMind to keep track of all the things that are needed for 
that?

%package javadoc
Summary:	API documentation for %{name}
Group:	Documentation
Requires:	%{name} = %epoch:%{version}-%{release}
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

sed -i 's/\r//' %{_builddir}/%{name}/accessories/LICENSE.MIT

# set default lookandfeel to be gtk. Fixes bug #729487
sed -i 's/lookandfeel = default/lookandfeel = gtk+/' \
        freemind.properties


find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.zip' -exec rm -f '{}' \;

# linking the libraries needed to build
cd %{_builddir}/freemind/lib
build-jar-repository -s -p . junit jgoodies-forms commons-lang jarbundler

mv commons-lang.jar commons-lang-2.0.jar
mv jarbundler.jar jarbundler-2.0.0.jar
mv jgoodies-forms.jar forms-1.0.5.jar

build-jar-repository -p -s SimplyHTML gnu-regexp-1.1.4 SimplyHTML/SimplyHTML
mv SimplyHTML/SimplyHTML_SimplyHTML.jar SimplyHTML/SimplyHTML.jar

build-jar-repository -p -s jibx bcel commons-logging log4j xpp3 jibx jaxme/jaxmejs
mv jibx/commons-logging.jar jibx/commons-logging-1.0.4.jar
mv jibx/jaxme_jaxmejs.jar jibx/jaxme-js-0.3.jar
mv jibx/log4j.jar jibx/log4j-1.2.8.jar
mv jibx/jibxbind-1.2.4.jar jibx/jibx-bind.jar
mv jibx/jibxextras-1.2.4.jar jibx/jibx-extras.jar
mv jibx/jibxrun-1.2.4.jar jibx/jibx-run.jar

#add all jars for building the svg plugin
cd %{_builddir}/freemind/plugins/svg
build-jar-repository -p -s . batik/batik-awt-util batik/batik-bridge \
 batik/batik-css batik/batik-dom batik/batik-extension batik/batik-ext\
 batik/batik-gui-util batik/batik-gvt batik/batik-parser \
 batik/batik-script batik-squiggle batik/batik-svg-dom \
 batik/batik-svggen batik/batik-swing batik/batik-transcoder \
 batik/batik-util batik/batik-xml js.jar xerces-j2 \
 xml-commons-apis-1.4.01 pdf-transcoder avalon-framework \
 avalon-framework-api avalon-framework-impl
  
#remove the batik_ prefix
for file in batik_*; do mv "$file" "${file/batik_/}"; done
mv xerces-j2.jar xerces_2_5_0.jar
mv xml-commons-apis-1.4.01.jar xml-apis.jar

#add the javahelp.jar for building the help plugin
cd %{_builddir}/freemind/plugins/help
build-jar-repository -p -s . javahelp2
mv javahelp2.jar jhall.jar

cd %{_builddir}/freemind/plugins/script
build-jar-repository -p -s . groovy
mv groovy.jar groovy-all-1.5.6.jar

%build
ant dist all doc 

%install

# jars
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -a %{_builddir}/bin/dist/lib/freemind.jar %{buildroot}%{_javadir}/%{name}/%{name}.jar
cp -a %{_builddir}/bin/dist/lib/bindings.jar %{buildroot}%{_javadir}/%{name}/%{name}-bindings.jar
cp  -a %{_builddir}/bin/dist/browser/freemindbrowser.jar %{buildroot}%{_javadir}/%{name}/%{name}browser.jar


# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
mv %{_builddir}/bin/dist/doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}


# launcher in /usr/bin
mkdir -p %{buildroot}%{_bindir}
cp -a %{SOURCE3} %{buildroot}%{_bindir}/%{name}

# data needed to run freemind; replaced all jars with symlinks
mkdir -p %{buildroot}%{_datadir}/%{name}/accessories
cp -a %{_builddir}/bin/dist/accessories %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}/doc
cp -a %{_builddir}/bin/dist/doc %{buildroot}%{_datadir}/%{name}
cp -a %{_builddir}/bin/dist/patterns.xml %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}/browser
cp -a %{_builddir}/bin/dist/browser %{buildroot}%{_datadir}/%{name}
rm -f %{buildroot}%{_datadir}/%{name}/browser/freemindbrowser.jar
ln -s %{_javadir}/%{name}/freemindbrowser.jar %{buildroot}%{_datadir}/%{name}/browser/freemindbrowser.jar

mkdir -p %{buildroot}%{_datadir}/%{name}/lib
mkdir -p %{buildroot}%{_datadir}/%{name}/plugins/svg
mkdir -p %{buildroot}%{_datadir}/%{name}/plugins/help
mkdir -p %{buildroot}%{_datadir}/%{name}/plugins/script

cp -a %{_builddir}/bin/dist/plugins/*.xml %{buildroot}%{_datadir}/%{name}/plugins
cp -a %{_builddir}/%{name}/plugins/svg/*.jar %{buildroot}%{_datadir}/%{name}/plugins/svg
cp -a %{_builddir}/bin/dist/plugins/svg/svg_plugin.jar %{buildroot}%{_datadir}/%{name}/plugins/svg
cp -a %{_builddir}/%{name}/plugins/help/jhall.jar  %{buildroot}%{_datadir}/%{name}/plugins/help
cp -a %{_builddir}/bin/dist/plugins/help/help_plugin.jar %{buildroot}%{_datadir}/%{name}/plugins/help
cp -a %{_builddir}/%{name}/plugins/script/groovy-all-1.5.6.jar %{buildroot}%{_datadir}/%{name}/plugins/script
cp -a %{_builddir}/bin/dist/plugins/script/scripting_plugin.jar %{buildroot}%{_datadir}/%{name}/plugins/script
cp -a %{_builddir}/%{name}/lib %{buildroot}%{_datadir}/%{name}


desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}


mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps

%{_bindir}/convert -scale 32 %{_builddir}/%{name}/images/FreeMindWindowIcon.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png

for i in 16 32 48
do
   %{_bindir}/convert -scale $i %{_builddir}/%{name}/images/FreeMindWindowIcon.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done

mkdir -p %{buildroot}%{_datadir}/mime/packages
cp -a %{SOURCE2} %{buildroot}%{_datadir}/mime/packages/

#remove the files of the latex plugin
rm -f %{buildroot}%{_datadir}/%{name}/plugins/Latex.xml
rm -rf %{buildroot}%{_datadir}/%{name}/plugins/latex
rm -rf %{buildroot}%{_datadir}/%{name}/doc/javadoc


%files
%defattr(-,root,root,-)
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_javadir}/%{name}
%{_datadir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}

%doc history.txt license readme.txt accessories/LICENSE.MIT

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog

* Mon Jan 21 2013 dmorgan <dmorgan> 1:0.9.0-4.mga3
+ Revision: 390385
- Fix requires in the javadoc package

* Sat Jan 12 2013 umeabot <umeabot> 1:0.9.0-3.mga3
+ Revision: 352562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 23 2011 dmorgan <dmorgan> 1:0.9.0-2.mga1
+ Revision: 100242
- Fix buildrequires
- Fix classpath in %%_bindir/ ( mga #1398)

* Sun May 08 2011 ahmad <ahmad> 1:0.9.0-1.mga1
+ Revision: 95969
- Sync with freemind-0.9.0-1.fc15.src.rpm (too many changes, for the full
  details have a look at the changelog at:
  http://pkgs.fedoraproject.org/gitweb/?p=freemind.git;a=blob;f=freemind.spec

  + ennael <ennael>
    - clean spec file
    - imported package freemind


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.0-0.0.10mdv2011.0
+ Revision: 610759
- rebuild

* Wed Jan 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1:0.9.0-0.0.9mdv2010.1
+ Revision: 497020
- add 'text/x-troff-mm' mimetype

* Tue Jan 12 2010 Rémy Clouard <shikamaru@mandriva.org> 1:0.9.0-0.0.8mdv2010.1
+ Revision: 490015
- wipe out unneeded patch
- disable temporarily broken function
- fix jarbundler issue
- try to fix jarbundler path
- drop wrong source file
- comment unappliable patch
- activate --execdebug for ant

  + Sandro Cazzaniga <kharec@mandriva.org>
    - upgrade to 0.9.0 RC6

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 1:0.9.0-0.0.7mdv2010.0
+ Revision: 428889
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Aug 11 2008 David Walluck <walluck@mandriva.org> 1:0.9.0-0.0.6mdv2009.0
+ Revision: 270875
- fix %%doc
- 0.9.0 Beta 19

* Fri Feb 01 2008 David Walluck <walluck@mandriva.org> 1:0.9.0-0.0.5mdv2008.1
+ Revision: 161225
- add gnu-regexp and simplyhtml to CLASSPATH

* Sun Dec 30 2007 David Walluck <walluck@mandriva.org> 1:0.9.0-0.0.4mdv2008.1
+ Revision: 139453
- don't ship javadoc in the main package

* Sun Dec 30 2007 David Walluck <walluck@mandriva.org> 1:0.9.0-0.0.3mdv2008.1
+ Revision: 139394
- fix jakarta-oro
- bindings.jar is removed and then patched
- add sources
- fix macro
- 0.9.0-beta15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 1:0.7.1-2mdv2008.0
+ Revision: 87375
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Mon Sep 10 2007 David Walluck <walluck@mandriva.org> 1:0.7.1-1mdv2008.0
+ Revision: 83973
- bump epoch and change to real version 0.7.1
- use 0.7.1 tagged CVS source
- fix javadoc Group
- fix javadoc build with sijdoc
- add vendor to dekstop file
- remove %%ghost from %%dir %%{_javadocdir}/%%{name}
- don't force CVS dir removal
- remove Application category from desktop file

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - do not force usage of jamvm (which is also broken on i586..)


* Tue Jan 16 2007 David Walluck <walluck@mandriva.org> 0.9.0-2mdv2007.0
+ Revision: 109414
- fix group

* Tue Jan 02 2007 David Walluck <walluck@mandriva.org> 0:0.9.0-1mdv2007.1
+ Revision: 103478
- add desktop-file-utils requirement
- Import freemind

* Mon Jan 02 2006 David Walluck <walluck@mandriva.org> 0:0.9.0-1mdv2007.1
- 0.9.0 (CVS 20070102)

